// Digital_IO_WriteDOBit.cpp : Defines the entry point for the console application.

#include "stdafx.h"
#include "HSDAQ.h"
#include <stdio.h>
#include <conio.h>

#define TOTAL_DO_CHANNEL_NUMBER	 4

int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE hHS;
	char IPadd[64]="\0";
	char sdk_version[32];
	DWORD dwDI=0,dwDO=0;

	if(argc>1)
	{
		wprintf(TEXT("%s\r\n"),argv[1]);
   
		//int   nLen   =   wcslen(argv[1])+1;    
		WideCharToMultiByte(CP_ACP,   0,   argv[1],   -1,   IPadd,  64,   NULL,   NULL);
		printf("program start %s\r\n",IPadd);
	}
	else
	{
		printf("error argument\r\n");
		return 0;
	}

	//Step 2: AddCmdClient and get cmd socket
	char tmp[128]={0};
	sprintf(tmp,"%s,9999,10010",IPadd);
	hHS = HS_Device_Create(tmp);

	Sleep(25);
	if(hHS!=NULL)
	{
		printf("ET-7H24 Digital I/O WriteDObit Testing\r\n");
		HS_GetSDKVersion(sdk_version);
		printf("ver=%s\r\n",sdk_version);

		HS_ReadDIO(hHS,&dwDI,&dwDO);
		printf("Read DI=%x, DO=%x\r\n",dwDI,dwDO);
		printf("DO output test, press any key to continue...\r\n",dwDI,dwDO);
		
		getch();
		for(int i=0;i<TOTAL_DO_CHANNEL_NUMBER;i++)
		{
			HS_WriteDOBit(hHS,i,1);
			HS_ReadDIO(hHS,&dwDI,&dwDO);
			printf("Read DO=0x%x\r\n",dwDO);
			Sleep(10);
		}
		for(int i=0;i<TOTAL_DO_CHANNEL_NUMBER;i++)
		{
			HS_WriteDOBit(hHS,i,0);
			HS_ReadDIO(hHS,&dwDI,&dwDO);
			printf("Read DO=0x%x\r\n",dwDO);
			Sleep(10);
		}

		HS_Device_Release(hHS);
	}
	return 0;
}
