// Digital_IO.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "HSDAQ.h"
#include <stdio.h>
#include <conio.h>


int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE hHS;
	char IPadd[64]="\0";
	char sdk_version[32];
	DWORD dwDI=0,dwDO=0;
	int ch=0;
	unsigned long ENC_val=0;
	if(argc>1)
	{
		wprintf(TEXT("%s\r\n"),argv[1]);
   
		//int   nLen   =   wcslen(argv[1])+1;    
		WideCharToMultiByte(CP_ACP,   0,   argv[1],   -1,   IPadd,  64,   NULL,   NULL);
		printf("program start %s\r\n",IPadd);
	}
	else
	{
		printf("error argument\r\n");
		return 0;
	}

	//Step 2: AddCmdClient and get cmd socket
	char tmp[128]={0};
	sprintf(tmp,"%s,9999,10010",IPadd);
	hHS = HS_Device_Create(tmp);

	Sleep(25);
	if(hHS!=NULL)
	{
		printf("!!This demo is about how to use the encoder functions of ET-7H24!!\r\n");
        printf("ET-7H24 has 1 encoder channel\r\n");

		//Input Mode 0 ~ 2
        //[0] CW/CCW
        //[1] DIR/PLS
        //[2] A/B Phase
		int mode=0;
		//Input LPF Mode 0 ~ 8
        //[0] Disable
        //[1] 3.6 MHz
        //[2] 1.8 MHz
        //[3] 950 KHz
        //[4] 480 KHz
        //[5] 240 KHz
        //[6] 120 KHz
        //[7] 60  KHz
        //[8] 30  KHz
		int LPF_Mode=0;

		//Input Xor Mode 0 ~ 3
        //[0] A disable , B disable
        //[1] A enable  , B disable
        //[2] A disable , B enable
        //[3] A enable  , B enable
		int Xor_Mode=0;
		HS_ClearEncoder(hHS, ch);
		HS_SetEncoderMode(hHS,ch,mode,LPF_Mode,Xor_Mode);
		while (true)
        {
            HS_ReadEncoder(hHS, ch, &ENC_val);
            printf("\rENC value : " + ENC_val);
			if(_kbhit())
			{
				Sleep(1);
				if(_getch()=='q' || _getch()=='Q')
				{
					HS_ClearEncoder(hHS, ch);
					break;
				}
			}
			Sleep(500);
        }
		HS_Device_Release(hHS);
	}
	return 0;
}

